## javax.persistence.criteria
Interface Expression<T>

All Superinterfaces:
  Selection<T>, TupleElement<T>

All Known Subinterfaces:
  CollectionJoin<Z,E>, CriteriaBuilder.Case<R>, CriteriaBuilder.Coalesce<T>, CriteriaBuilder.In<T>, CriteriaBuilder.SimpleCase<C,R>, From<Z,X>, Join<Z,X>, ListJoin<Z,E>, MapJoin<Z,K,V>, ParameterExpression<T>, Path<X>, PluralJoin<Z,C,E>, Predicate, Root<X>, SetJoin<Z,E>, Subquery<T>

    public interface Expression<T>

extends Selection<T>

Method Summary

`

`<X> Expression<X>`

`

`as(java.lang.Class<X> type)`

`Predicate` `in(java.util.Collection<?> values)`
`Predicate` `in(Expression<?>... values)`
`Predicate` `in(Expression<java.util.Collection<?>> values)`
`Predicate` `in(java.lang.Object... values)`
`Predicate` `isNotNull()`
`Predicate` `isNull()`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### isNull

    Predicate isNull()

### isNotNull

    Predicate isNotNull()

### in

    Predicate in(java.lang.Object... values)

### in

    Predicate in(Expression<?>... values)

### in

    Predicate in(java.util.Collection<?> values)

### in

    Predicate in(Expression<java.util.Collection<?>> values)

### as

    <X> Expression<X> as(java.lang.Class<X> type)